@mixin drk-position($position, $args) {
    position: $position;

    @each $o in top right bottom left {
        $i: index($args, $o);

        @if $i and $i + 1 <= length($args) and type-of(nth($args, $i + 1)) == number {
            #{$o}: nth($args, $i + 1);
        }
    }
}

@mixin drk-absolute($args) {
    @include drk-position(absolute, $args);
}

@mixin drk-fixed($args) {
    @include drk-position(fixed, $args);
}

@mixin drk-relative($args) {
    @include drk-position(relative, $args);
}
